diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
index fd779c1..61db480 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
@@ -408,14 +408,26 @@ class SchemaView(PGChildNodeView):
         if not status:
             return internal_server_error(errormsg=rset)
 
+        icon = 'icon-{0}'.format(self.node_type)
+
         if scid is not None:
             if len(rset['rows']) == 0:
                 return gone(gettext("""
 Could not find the schema in the database.
 It may have been removed by another user.
 """))
-
-        icon = 'icon-{0}'.format(self.node_type)
+            row = rset['rows'][0]
+            return make_json_response(
+                data=self.blueprint.generate_browser_node(
+                    row['oid'],
+                    did,
+                    row['name'],
+                    icon=icon,
+                    can_create=row['can_create'],
+                    has_usage=row['has_usage']
+                ),
+                status=200
+            )
 
         for row in rset['rows']:
             res.append(
